import request from "@/utils/request";

// 首页每一项
export function identity() {
  return request({
    url: "/app/getRoleStatus",
  });
}

// 当前状态
export function settled() {
  return request({
    url: "/enterprise/v1/settled",
  });
}

// 当前状态切换
export function identitySwitch(data) {
  return request({
    url: "/enterprise/v1/user/identity/switch",
    method: "post",
    data,
  });
}

// 申请企业入住
export function insertEnterprise(data) {
  return request({
    url: "/app/insertEnterprise",
    method: "post",
    data,
  });
}

// 专家入驻
export function insertCasExpert(data) {
  return request({
    url: "/app/expert/insertCasExpert",
    method: "post",
    data,
  });
}

// 所属单位
export function researchSelect() {
  return request({
    url: "/enterprise/v1/manage/research/select",
  });
}

// 所属单位>实验室
export function laboratorySelect() {
  return request({
    url: "/enterprise/v1/manage/research/laboratory",
  });
}

// 科研机构入驻
export function insertResearch(data) {
  return request({
    url: "/app/research/insertResearch",
    method: "post",
    data,
  });
}

// 实验室入驻
export const insertLaboratory = (data) =>
  request({
    url: "/app/laboratory/insertLaboratory",
    method: "post",
    data,
  });

// 经纪人入驻
export const insertAgent = (data) =>
  request({
    url: "/app/laboratory/insertAgent",
    method: "post",
    data,
  });
